Summary:        An output filter to rewrite HTML links in a proxy situation
Name:           mod_proxy_html
Version:        3.0.1
Release:        4%{?dist}
License:        GPLv2
Group:          System Environment/Daemons
URL:            http://apache.webthing.com/mod_proxy_html/
Source0:        http://apache.webthing.com/mod_proxy_html/%{name}.tar.bz2
Source1:        %{name}.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       httpd libxml2
BuildRequires:  httpd-devel libxml2-devel

%description
mod_proxy_html is an output filter to rewrite HTML links in a proxy
situation, to ensure that links work for users outside the proxy. It
serves the same purpose as Apache's ProxyPassReverse directive does for
HTTP headers, and is an essential component of a reverse proxy.

%prep
%setup -n %{name}

%build
%{_sbindir}/apxs -I%{_includedir}/libxml2 -Wc,"%{optflags}" -Wl,"-lxml2" \
  -c %{name}.c

%install
rm -rf %{buildroot}

%{__install} -d %{buildroot}%{_libdir}/httpd/modules/
%{__install} -d %{buildroot}%{_sysconfdir}/httpd/conf.d/

%{__install} -m 0755 .libs/%{name}.so %{buildroot}%{_libdir}/httpd/modules/
%{__install} -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING
%{_libdir}/httpd/modules/%{name}.so
%{_sysconfdir}/httpd/conf.d/%{name}.conf

%changelog
* Fri Jun 27 2008 Ray Van Dolson <rayvd@fedoraproject.org> 3.0.1-4
- Changed sample config file to include necessary options from
  http://apache.webthing.com/svn/apache/filters/proxy_html/proxy_html.conf

* Fri Jun 27 2008 Ray Van Dolson <rayvd@fedoraproject.org> 3.0.1-3
- Added some examples to the configuration file.

* Fri Jun 27 2008 Ray Van Dolson <rayvd@fedoraproject.org> 3.0.1-2
- Added linker and compiler flags.

* Fri Jun 27 2008 Ray Van Dolson <rayvd@fedoraproject.org> 3.0.1-1
- Initial creation
